import { UriRedirect } from "@web3api/core-js";
interface TestEnvironment {
    ipfs: string;
    ethereum: string;
    ensAddress: string;
    redirects: UriRedirect[];
}
export declare const initTestEnvironment: () => Promise<TestEnvironment>;
export declare const stopTestEnvironment: () => Promise<void>;
export declare const runCLI: (options: {
    args: string[];
    cwd?: string;
}, cli?: string) => Promise<{
    exitCode: number;
    stdout: string;
    stderr: string;
}>;
export declare function buildAndDeployApi(apiAbsPath: string, ipfsProvider: string, ensAddress: string): Promise<{
    ensDomain: string;
    ipfsCid: string;
}>;
export declare const generateName: () => string;
export {};
